function res= gab_filt(I,sig_x,sig_y,omega,theta)

% I - Image 
% sig_x, sig_y are sigma_x and sigma_y parameter
% gabor filter =(1/(2*pi*sigma_x*sigma_y))*exp((-1/2)*((x/sigma_x)^2+(y/sigma_y)^2)+j*omega*(x*cos(theta)+y*sin(theta)));

theta=(pi/180)*theta;
k=1; l=1;
for x=-3*sig_x:3*sig_x
  for y=-3*sig_y:3*sig_y
    gabfilt(k,l)=(1/(2*pi*sig_x*sig_y))* exp(-0.5*((x/sig_x)^2+(y/sig_y)^2)+j*omega*(x*cos(theta)+y*sin(theta)));
    l=l+1;
  end
  l=1;
  k=k+1; 
end


re_gab=real(gabfilt);
im_gab=imag(gabfilt);

% figure;imshow(I);
% figure;imshow(re_gab,[]);
% figure;imshow(im_gab,[]);

I1=conv2(double(I),re_gab,'same');
I2=conv2(double(I),im_gab,'same');
res=sqrt((I1.*I1) +( I2.*I2));

% figure;imshow(res,[]);
