function out = gab_seg(I)

%different values of parameters
sigma(1)=2.5; omega(1)=1.75; theta(1)=0;
sigma(2)=2.5; omega(2)=1.75; theta(1)=90;
sigma(3)=2.5; omega(3)=1.75; theta(3)=45;

sigma(4)=3.0; omega(4)=1.5; theta(4)=0;
sigma(5)=3.0; omega(9)=1.5; theta(9)=90;
sigma(6)=3.0; omega(5)=1.5; theta(5)=45;
sigma(7)=3.0; omega(6)=1.5; theta(6)=120;

sigma(8)=3.5; omega(7)=1.25; theta(7)=0;
sigma(9)=3.5; omega(8)=1.25; theta(8)=90;
sigma(10)=3.5; omega(10)=1.25; theta(10)=45;

% total number of different parameter values
n=10;


win1=17;
win12=round(win1/2)-1;

% res= gab_filt(I,5,5,1.5,180);
[rows, cols]=size(I);
for j=1:n
    j
     res= gab_filt(I,sigma(j), sigma(j), omega(j), theta(j));
	C_pad = padarray(res, [win1 win1], 'symmetric', 'both');  
	C_mean = colfilt(C_pad, [win1 win1], 'sliding', @mean); 
	C_res=imcrop(C_mean,[win12+1 win12+1 (cols-1) (rows-1)]);
	%figure; imshow(C_res,[]);
	[nrows, ncols]=size(C_res);
	C_res1(:,j)=C_res(:);

end

[center,U,obj_fcn] = fcm(C_res1, 2, [NaN 200]);

UR=reshape(U(1,:),nrows, ncols); 
imshow(UR,[]);
UR=reshape(U(2,:),nrows, ncols); 
figure; imshow(UR,[]);
